/*---------------------------------------------------------------
ArrayECount function by Raptorsaurus
v. 1.0, 1/4/13

Returns the number of instances that a given element are repeated in an array.

The required info passed to this function is:
- The array to check
- The value to check in the array

Example :
_myarray = [1,2,3,4,2,3]
_num = [_myarray, 3] call ArrayECount

_num will be 2 because the element 3 exists 2 times in _myarray

Example2 :
_myarray = [1,2,3,4,5,"a","b","a","a"]
_num = [_myarray, "a"] call ArrayECount

_num will be 3 because the element "a" exists 3 times in _myarray

Initialize this function by putting this in your init.sqs:
ArrayECount= preprocessFile "ArrayECount.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_array","_elem","_num"];

_array = _this select 0;
_elem = _this select 1;
_num = 0;
{if (_x == _elem) then {_num = _num + 1}} forEach _array;
_num