/*---------------------------------------------------------------
DeltaAlt function by Raptorsaurus

Finds the altitude diference between two objects (referenced to sea level).

Pass info to the function in the following format:

[_obj1, _obj2] call DeltaAlt

Initialize this function by putting this in your init.sqs:
DeltaAlt = preprocessFile "DeltaAlt"
---------------------------------------------------------------*/

// declare private variables
private ["_robj","_tobj","_Zref", "_Zrobj", "_Ztobj"];

_robj = _this select 0;
_tobj = _this select 1;

// get vertical distance between objects

_Zref = "emptydetector" createVehicle [0,0,0];
_Zref setPos [getPos _robj select 0, getPos _robj select 1];
_Zrobj = _robj distance _Zref;
_Zref setPos [getPos _tobj select 0, getPos _tobj select 1];
_Ztobj = _tobj distance _Zref;
deleteVehicle _Zref;
_Zrobj - _Ztobj