
// AngleFacingDiff.sqf

// This function returns the angle between where an object is facing and another object.

// It will return 0 if directly facing, 90 if the object is to the right,
// 180 if the object is behind etc.

// by LCD

private ["_looking","_object","_DX","_DY","_ang""_dAng","_angle"];

_looking = _this select 0;
_object = _this select 1;
_angle = getdir _looking;

_DX = (getpos _object select 0) - (getpos _looking select 0);
_DY = (getpos _object select 1) - (getpos _looking select 1);

_ang = _DX atan2 _DY;

_dAng = abs (_angle - _ang);
 
if (_dAng > 180) then {_dAng = 360 - _dAng};

_dAng
