/*---------------------------------------------------------------
Pitch function by Raptorsaurus

Returns the pitch of a vehicle.
See instructions after code.
---------------------------------------------------------------*/

// declare private variables
private ["_u", "_a", "_c", "_t", "_p", "_cnt"];

_u = _this;
_t = false;
_a = RPT_BParray;
_cnt = 0;
While {_cnt < count _a}
Do
	{
	_c = (_a select _cnt) select 0;
	if (_u == _c) then
		{
		_p = (_a select _cnt) select 2;
		_t = true;
		_cnt = count _a;
		};
	_cnt = _cnt + 1;
	};
if (! _t) then {_p = "--"};
_p

/*---------------------------------------------------------------
Usage instructions:

Pass info to the function in the following format:

_pitch = _craft call Pitch

Note: This function is only usable in conjunction with the RPT_BankPitch suite of script and functions.
---------------------------------------------------------------*/