/*---------------------------------------------------------------
setObDisAngOb function by Raptorsaurus

Set positions an object at certain distance and angle
(compass heading) from another object.  Also sets the objects
compass heading in the direction called

Pass info to the function in the following format:

[_RefOb,_PlcOb,_Dis,_Ang,_Dir] call setObDisAngOb


Initialize this function by putting this in your init.sqs:
setObDisAngOb = preprocessFile "setObDisAngOb.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_posRef","_Ob","_x1","_y1","_dis","_ang","_dir"];

//get info

_posRef = getPos (_this select 0);
_Ob = _this select 1;
_dis = _this select 2;
_ang = _this select 3;
_dir = _this select 4;

// get x & y coordinates from refObject

_x1 = _posRef select 0;
_y1 = _posRef select 1;

_Ob setPos [(_x1 + (_dis * Sin _ang)),(_y1 + (_dis * Cos _ang))];
_Ob setDir _dir;