//***********************************************************************************************************
// GetPos2 function, by toadlife
//
// What: Returns the position of an object, with the alititude above sea level instead of the ground.
//
//
// Initialize this fuction in your init.sqs file with this line: getpos2 = PreProcessFile "getpos2.sqf"
//
// Call this function like so:  [object,trigger] call GetPos2 (Example: [player,mytrigger] call GetPos2)
//
// Note: A preplaced trigger is needed on the map in order to find the height ASL
//
//***********************************************************************************************************
private ["_object","_pos","_trigger","_this"];
_trigger = "emptyDetector" camCreate [0,0,0];
_trigger setpos (getpos _this);
_pos = [getpos _this select 0, getpos _this select 1, (getpos _this select 2) + (_this distance _trigger)];
camdestroy _trigger;
_pos