/*---------------------------------------------------------------
ArrayFlip function by Raptorsaurus
v. 1.0, 9/24/09

Reverses the order of an array.

The required info passed to this function is:
- Any array

Example :

_array = [[obj1, obj2, obj3]] call ArrayFlip

_array will be : [obj3, obj2, obj1]

Initialize this function by putting this in your init.sqs:
ArrayFlip = preprocessFile "ArrayFlip.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_array","_farray","_cnt"];

_array = _this select 0;

// flip the array around

_cnt = count _array - 1;
_farray = [];
While {_cnt >= 0}
Do
	{
	_farray = _farray + [_array select _cnt];
	_cnt = _cnt - 1;
	};
_farray