/*---------------------------------------------------------------
ArrayRandom function by Raptorsaurus
v. 1.0, 2/29/12

Randomizes the order of an array.

The required info passed to this function is:
- Any array

Example :

_array = [[obj1, obj2, obj3, obj4, obj5]] call ArrayRandom

_array will be all the same elements as above, but in random order

Initialize this function by putting this in your init.sqs:
ArrayRandom = preprocessFile "ArrayRandom.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_array","_rarray","_num","_cnt"];

_array = _this select 0;
_rarray = [];

While {count _array > 0}
Do
	{
	_cnt = (count _array) - 1;
	_num = (random ((_cnt + .5) - (0 - .5))) + (0 - .5);
	_num = (_num + .5) - ((_num + .5) % 1);
	_rarray = _rarray + [_array select _num];
	_array = _array - [_array select _num];
	};
_rarray