/*---------------------------------------------------------------
DisMktoMk function by Raptorsaurus

Returns the distance between two markers.

Pass the marker names to the function:

_dis = [_mrk1,_mrk2] call DisMktoMk

or

_dis = ["marker1","marker2"] call DisMktoMk

Initialize this function by putting this in your init.sqs:
DisMktoMk = preprocessFile "DisMktoMk.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_posMk1","_posMk2","_xmk1","_ymk1","_xmk2","_ymk2"];

//get positions

_posMk1 = getMarkerPos (_this select 0);
_posMk2 = getMarkerPos (_this select 1);

// pull x and y values from position arrays

_xmk1 = _posMk1 select 0;
_ymk1 = _posMk1 select 1;

_xmk2 = _posMk2 select 0;
_ymk2 = _posMk2 select 1;

// return distance

sqrt( (_xmk1-_xmk2)^2 + (_ymk1-_ymk2)^2 )
