/*---------------------------------------------------------------
DisOverGnd function by Raptorsaurus

Returns the over the ground distance bewteen two object (their distance in the
horizontal plane irregardless of altitude.

Pass info to the function in the following format:

_Dis = [_obj1,_obj2] call DisOverGnd

Initialize this function by putting this in your init.sqs:

DisOverGnd = preprocessFile "DisOverGnd.sqf"
---------------------------------------------------------------*/

// declare private variables
private ["_Pos1","_Pos2","_x1","_y1","_x2","_y2"];

_Pos1 = getPos (_this select 0);
_Pos2 = getPos (_this select 1);

//get x - y coordinates of object positions

_x1 = _Pos1 select 0;
_y1 = _Pos1 select 1;
_x2 = _Pos2 select 0;
_y2 = _Pos2 select 1;

// return the distance
sqrt ((_x1-_x2)^2 + (_y1-_y2)^2)
